<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedLightBase/PointLightBase/MuzzleFlashLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dc6/_muzzle_flash_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MuzzleFlashLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/dc6/_muzzle_flash_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>MuzzleFlashLight <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a2d840ccec8d12fb9e50feaac6b83f372">    3</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> = 0.04;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a41eb4e0ed920816775fb81399130c241">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#a41eb4e0ed920816775fb81399130c241">MuzzleFlashLight</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a>(<a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        FadeIn(<a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.5);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetFadeOutTime(<a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.5);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetVisibleDuringDaylight(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        SetRadiusTo( 15 );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        SetBrightnessTo(1);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        SetCastShadow(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        SetAmbientColor(0.76, 0.68, 0.31);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        SetDiffuseColor(0.76, 0.68, 0.31);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        SetFlareVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>}</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">class </span><a class="code hl_function" href="../../de/dc6/_muzzle_flash_light_8c.html#ac44697110a3436e986068466dea454fe">MuzzleFlashLight_1</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">   22</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> = 0.08;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../de/dc6/_muzzle_flash_light_8c.html#ac44697110a3436e986068466dea454fe">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/dc6/_muzzle_flash_light_8c.html#ac44697110a3436e986068466dea454fe">MuzzleFlashLight_1</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a>( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        FadeIn( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.2 );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        SetFadeOutTime( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.2 );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        SetVisibleDuringDaylight( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        SetRadiusTo( 17 );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        SetBrightnessTo( 0.5 );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        SetCastShadow( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        SetAmbientColor( 0.56, 0.42, 0.3 );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        SetDiffuseColor( 0.56, 0.42, 0.3 );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        SetFlareVisible( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>}</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">class </span>MuzzleFlashLight_2 <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>{</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> = 0.01;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#aefe6328732d3f8838ce07aeee1f97b21">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#aefe6328732d3f8838ce07aeee1f97b21">MuzzleFlashLight_2</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a>( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        FadeIn( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.1 );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        SetFadeOutTime( <a class="code hl_variable" href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a> * 0.1 );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        SetVisibleDuringDaylight( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        SetRadiusTo( 12 );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        SetBrightnessTo( 0.2 );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        SetCastShadow( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        SetAmbientColor( 0.36, 0.32, 0.13 );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        SetDiffuseColor( 0.36, 0.32, 0.13 );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        SetFlareVisible( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a23d8ba12dd30e4965f0297e97fb3ee8c"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a></div><div class="ttdeci">proto native void SetLifetime(float fLifeTime)</div><div class="ttdoc">Set (override) remaining economy lifetime (seconds)</div></div>
<div class="ttc" id="a_muzzle_flash_light_8c_html_ac44697110a3436e986068466dea454fe"><div class="ttname"><a href="../../de/dc6/_muzzle_flash_light_8c.html#ac44697110a3436e986068466dea454fe">MuzzleFlashLight_1</a></div><div class="ttdeci">void MuzzleFlashLight_1()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc6/_muzzle_flash_light_8c_source.html#l00024">MuzzleFlashLight.c:24</a></div></div>
<div class="ttc" id="a_muzzle_flash_light_8c_html_af579dbfbac1ae6717b04bcf8457d8851"><div class="ttname"><a href="../../de/dc6/_muzzle_flash_light_8c.html#af579dbfbac1ae6717b04bcf8457d8851">m_Lifetime</a></div><div class="ttdeci">class MuzzleFlashLight extends PointLightBase m_Lifetime</div></div>
<div class="ttc" id="aclass_point_light_base_html"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da0/_bonfire_light_8c_source.html#l00001">BonfireLight.c:2</a></div></div>
<div class="ttc" id="aclass_point_light_base_html_a41eb4e0ed920816775fb81399130c241"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html#a41eb4e0ed920816775fb81399130c241">PointLightBase::MuzzleFlashLight</a></div><div class="ttdeci">void MuzzleFlashLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc6/_muzzle_flash_light_8c_source.html#l00005">MuzzleFlashLight.c:5</a></div></div>
<div class="ttc" id="aclass_point_light_base_html_aefe6328732d3f8838ce07aeee1f97b21"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html#aefe6328732d3f8838ce07aeee1f97b21">PointLightBase::MuzzleFlashLight_2</a></div><div class="ttdeci">void MuzzleFlashLight_2()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc6/_muzzle_flash_light_8c_source.html#l00043">MuzzleFlashLight.c:43</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_50f518e75e7de83ddcd3aee1de3ffc98.html">ScriptedLightBase</a></li><li class="navelem"><a class="el" href="../../dir_2a62e9dabe3d51825a6f1e7ea8928c3e.html">PointLightBase</a></li><li class="navelem"><a class="el" href="../../de/dc6/_muzzle_flash_light_8c.html">MuzzleFlashLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
